# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`firefox`](#firefox): Manage the Firefox web browser

### Defined types

* [`firefox::pref`](#firefox--pref): Manage a Firefox preference

## Classes

### <a name="firefox"></a>`firefox`

Manage the Firefox web browser

#### Parameters

The following parameters are available in the `firefox` class:

* [`directory`](#-firefox--directory)
* [`owner`](#-firefox--owner)
* [`group`](#-firefox--group)
* [`package`](#-firefox--package)
* [`package_ensure`](#-firefox--package_ensure)
* [`manage_package`](#-firefox--manage_package)
* [`package_provider`](#-firefox--package_provider)
* [`managed_directories`](#-firefox--managed_directories)
* [`preferences_file`](#-firefox--preferences_file)
* [`policies_file`](#-firefox--policies_file)
* [`policies`](#-firefox--policies)

##### <a name="-firefox--directory"></a>`directory`

Data type: `Stdlib::Absolutepath`

Base directory of Firefox's installation

##### <a name="-firefox--owner"></a>`owner`

Data type: `Optional[String[1]]`

User owning the configuration files

##### <a name="-firefox--group"></a>`group`

Data type: `Optional[String[1]]`

Group owning the configuration files

##### <a name="-firefox--package"></a>`package`

Data type: `String`

The name of the firefox package

##### <a name="-firefox--package_ensure"></a>`package_ensure`

Data type: `Enum['present', 'latest']`

Value of the ensure parameter of the firefox package

##### <a name="-firefox--manage_package"></a>`manage_package`

Data type: `Boolean`

Manage the firefox package on the system

Default value: `true`

##### <a name="-firefox--package_provider"></a>`package_provider`

Data type: `Optional[String[1]]`

Value of the provider parameter of the firefox package

Default value: `undef`

##### <a name="-firefox--managed_directories"></a>`managed_directories`

Data type: `Array[String[1]]`

A list of directories to manage

Default value:

```puppet
[
    'browser/defaults',
    'browser/defaults/preferences',
    'distribution',
  ]
```

##### <a name="-firefox--preferences_file"></a>`preferences_file`

Data type: `Stdlib::Absolutepath`

Path to Firefox's preferences configuration file

Default value: `"${directory}/browser/defaults/preferences/00-puppet-preferences.js"`

##### <a name="-firefox--policies_file"></a>`policies_file`

Data type: `Stdlib::Absolutepath`

Path to Firefox's policies file

Default value: `"${directory}/distribution/policies.json"`

##### <a name="-firefox--policies"></a>`policies`

Data type: `Hash`

The policies to deploy, see https://github.com/mozilla/policy-templates for the structure of this Hash

Default value: `{}`

## Defined types

### <a name="firefox--pref"></a>`firefox::pref`

Manage a Firefox preference

#### Parameters

The following parameters are available in the `firefox::pref` defined type:

* [`value`](#-firefox--pref--value)
* [`locked`](#-firefox--pref--locked)

##### <a name="-firefox--pref--value"></a>`value`

Data type: `Variant[Integer, Float, String, Boolean]`

Value of the preference

##### <a name="-firefox--pref--locked"></a>`locked`

Data type: `Boolean`

Indicate if users are able to override this setting

Default value: `false`

